Bug 180535 - Xen dom0 fails to boot
Xen dom0 fails to boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xen (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Rik van Riel
:
Depends On:
Blocks: FC5Blocker
  Show dependency treegraph
 
Reported: 2006-02-08 15:48 EST by Michael Richardson
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-24 15:05:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
script output of serial console from Xen boot (21.42 KB, text/plain)
2006-02-08 15:50 EST, Michael Richardson
no flags Details

  None (edit)
Description Michael Richardson 2006-02-08 15:48:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050927 Epiphany/1.4.8 (Debian)

Description of problem:
Xen guest kernel fails with:
(XEN) Initrd len 0x335200, start at 0xc045b000
(XEN) Scrubbing Free RAM: .....................done.
(XEN) Xen trace buffers: disabled
(XEN) *** Serial input -> DOM0 (type 'CTRL-a' three times to switch input to Xen
).
Linux version 2.6.15-1.43_FC5hypervisor (bhcompile@ls20-bc1-13.build.redhat.com)
 (gcc version 4.1.0 20060206 (Red Hat 4.1.0-0.23)) #1 SMP Tue Feb 7 15:54:35 EST
 2006
BIOS-provided physical RAM map:
 Xen: 0000000000000000 - 0000000075e01000 (usable)
1062MB HIGHMEM available.
832MB LOWMEM available.
....
BUG: spinlock bad magic on CPU#0, swapper/1 (Not tainted)
 lock: c1eeac60, .magic: 00000000, .owner: <none>/-1, .owner_cpu: 0
 [<c01d3b93>] spin_bug+0x87/0xe9
 [<c01d3d1a>] _raw_spin_lock+0x1c/0xd1
 [<c02f8647>] _spin_lock_irqsave+0x22/0x27
 [<c0119fa2>] init_idle+0x49/0x66
 [<c011e866>] fork_idle+0x3c/0x4c
 [<c03de098>] smp_prepare_cpus+0xbf/0x1ab
 [<c0105053>] init+0x2a/0x2f5
 [<c0105029>] init+0x0/0x2f5
 [<c01059a5>] kernel_thread_helper+0x5/0xb
Kernel panic - not syncing: bad locking
 [<c011f07c>] panic+0x3c/0x18c
 [<c01d3bb6>] spin_bug+0xaa/0xe9
 [<c01d3d1a>] _raw_spin_lock+0x1c/0xd1
 [<c02f8647>] _spin_lock_irqsave+0x22/0x27
 [<c0119fa2>] init_idle+0x49/0x66
 [<c011e866>] fork_idle+0x3c/0x4c
 [<c03de098>] smp_prepare_cpus+0xbf/0x1ab
 [<c0105053>] init+0x2a/0x2f5
 [<c0105029>] init+0x0/0x2f5
 [<c01059a5>] kernel_thread_helper+0x5/0xb


Version-Release number of selected component (if applicable):
2.6.15-1.43_FC5hypervisor

How reproducible:
Always

Steps to Reproduce:
1. install Xen from FC5_test2
2. yum update/yum upgrade
3. yum install xen-hypervisor-kernel
reboot
  

Additional info:

see attached file.
Comment 1 Michael Richardson 2006-02-08 15:50:03 EST
Created attachment 124405 [details]
script output of serial console from Xen boot
Comment 2 Jeremy Katz 2006-02-08 15:57:45 EST
maxcpus=1 will work around.
Comment 3 Rik van Riel 2006-02-08 20:24:24 EST
I created and verified a patch for this bug, and also posted it upstream (since
it could affect other architectures with CPU hotplug too):

http://lkml.org/lkml/2006/2/8/396/index.html
Comment 4 Rik van Riel 2006-02-08 20:34:17 EST
Juan, I just committed the fix for the bug to our CVS tree.
Comment 5 Ask Bjørn Hansen 2006-02-09 20:42:59 EST
Rik,

Was that fix in kernel-xen-hypervisor-2.6.15-1.51_FC5 ?  (I don't have a serial console on my test 
machine but it appears to be doing the same thing).


  - ask
Comment 6 Stephen Tweedie 2006-02-24 15:06:22 EST
Working for me on current rawhide/fc5t3 i686 SMP.

Note You need to log in before you can comment on or make changes to this bug.